move RecordBuffer.ooFields at the DMO meta

07/05/2022 05:48 AM - Constantin Asofiei

Status: Review Start date:  

Priority: Normal Due date:  

Assignee: Ovidiu Maxiniuc % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

billable: No case_num:  

vendor_id: GCD   

Description

History

#4 - 07/05/2022 05:51 AM - Constantin Asofiei

The RecordBuffer.ooFields is resolved via getPojoGetterMap, which iterates all getters - there can be DMOs with 100s of fields, and we iterate

through them all, for each created buffer, and this can be in the 100k range in a scenario.

Ovidiu: please move this set at the DMO meta or somewhere else where it can be resolved only once, and not at each buffer instance.

#5 - 07/05/2022 04:59 PM - Ovidiu Maxiniuc

Where should the changes go to?

#6 - 07/06/2022 12:28 AM - Constantin Asofiei

Ovidiu Maxiniuc wrote:

Where should the changes go to?

 

3821c

#7 - 07/06/2022 08:29 PM - Ovidiu Maxiniuc

- Status changed from New to WIP

- % Done changed from 0 to 100

Multiple shared meta-knowledge about fields and properties of a record was collected in DmoMeta to avoid duplicating their collection and storage.

Committed revision 14046.

#8 - 07/20/2022 04:51 AM - Constantin Asofiei

- Status changed from WIP to Review

05/06/2024 1/2



3821c/14090 - RecordBuffer instance fields can not be accessed directly from static methods - their getter must be used, as the buffer instance may

be bound.  Fixed regressions in 3821c/14046.
